6.0.0-git
2021-01-18

[#8053] To display all the contact details in View - Contact Details
Summary To display all the contact details in View - Contact Details
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester tejswita.parab (at) sarkinfotech (dot) com
Created 2009-03-06 (4336 days ago)
Due
Updated 2009-04-22 (4289 days ago)
Assigned 2009-03-07 (4335 days ago)
Resolved 2009-04-22 (4289 days ago)
Milestone
Patch No

History
2009-04-22 08:40:51 Jan Schneider Comment #9
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Fixed for Horde 3.3.4.
2009-04-22 06:24:37 tejswita (dot) parab (at) sarkinfotech (dot) com Comment #7
New Attachment: Form.php.patch Download
Reply to this comment
After looking into the issue keenly.

Came to the conclusion:

This error is for attribute type “addresslink” in turba.

This means that, “addresslink” type does not support “parse” method.



So we have changed “lib/Horde/Form.php” and added “parse” method in 
“Horde_Form_Type_addresslink class”.



The file where we have fixed this issue is uploaded for reference.
That still doesn't answer my questions. Also: are you really using a
FRAMEWORK_3 checkout of the framework? Do you get any javascript
errors? How does the HTML source code look like, is the page source
cut off? Do you get errors in the log files?
2009-04-22 06:22:13 tejswita (dot) parab (at) sarkinfotech (dot) com Comment #6
New Attachment: error.gif Download
Reply to this comment
On our main server, where the problem was appearing, we have 
horde-webmail-1.2 installed (released on Sep-26-2008). We applied the 
changes for making the synchronization work with Outlook 2003 as 
mentioned in http://wiki.horde.org/TurbaOutlook2003.



We have now installed horde-webmail-1.2.2 on another server. If the 
changes for Outlook 2003 are not applied, then the problem is not 
seen. But if the changes as mentioned at the above link are done, then 
the problem appears as seen in the screen-shot.



Fatal error: Call to undefined function: parse() in 
/srv/www/htdocs/horde3/lib/Horde/UI/VarRenderer/html.php on line 1202



After this error, all the following tabs (e.g. Work Address, Other 
Address etc.) are displaying a blank form.
That still doesn't answer my questions. Also: are you really using a
FRAMEWORK_3 checkout of the framework? Do you get any javascript
errors? How does the HTML source code look like, is the page source
cut off? Do you get errors in the log files?
2009-04-20 07:08:22 tejswita (dot) parab (at) sarkinfotech (dot) com Comment #5 Reply to this comment
We are using horde-webmail-1.2. There is no any javascript error but 
HTML source contains nothing as I attached in earlier screenshot.
That still doesn't answer my questions. Also: are you really using a
FRAMEWORK_3 checkout of the framework? Do you get any javascript
errors? How does the HTML source code look like, is the page source
cut off? Do you get errors in the log files?
2009-03-30 13:50:05 Jan Schneider State ⇒ No Feedback
 
2009-03-16 13:22:39 Jan Schneider Comment #4 Reply to this comment
That still doesn't answer my questions. Also: are you really using a 
FRAMEWORK_3 checkout of the framework? Do you get any javascript 
errors? How does the HTML source code look like, is the page source 
cut off? Do you get errors in the log files?
2009-03-16 06:24:50 tejswita (dot) parab (at) sarkinfotech (dot) com Comment #3
New Attachment: horde_view_contact.gif Download
Reply to this comment
I am attaching here the screenshot for the issue. When I click on any 
tab after "Home Address" screen looks like the screen shot.
This is obviously not the correct fix. And I can't reproduce any
issues either. What exactly is happening and how did you set up your
address book, attributes and tabs?
2009-03-07 11:04:34 Jan Schneider Comment #2
State ⇒ Feedback
Patch ⇒ No
Reply to this comment
This is obviously not the correct fix. And I can't reproduce any 
issues either. What exactly is happening and how did you set up your 
address book, attributes and tabs?
2009-03-06 11:53:43 tejswita (dot) parab (at) sarkinfotech (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ To display all the contact details in View - Contact Details
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: html.php.patch Download
Reply to this comment
Contact details after "Home Address" were invisible in "View" tab of 
contact details.

It is fixed above file path for it is "horde/lib/Horde/UI/VarRenderer/".


Saved Queries